GET
/distributed_jobs_v2/cluster/{Cluster_Id}/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs_v2/cluster/{Cluster_Id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs_v2/cluster/{Cluster_Id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs_v2/cluster/{Cluster_Id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Cluster_Id
required
integer
Cluster ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Successful response with training cluster details.
Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
created_by
object
id
integer
name
string
email
string
username
string
is_primary_contact
boolean
currency
string
is_suspended
boolean
no_of_nodes
integer
created_at
string format: date-time
private_cloud_id
integer
private_cloud_name
string
sku_details
object
specs
object
sku_id
integer
name
string
series
string
cpu
integer
gpu
integer
memory
integer
ephemeral_storage
integer
gpu_memory
integer
is_free
boolean
is_active
boolean
local_storage_in_gb
integer
sku_type
string
gpu_card_type
string
category
string
variant
string
no_of_nodes
integer
plan
object
sku_item_price_id
integer
sku_type
string
committed_days
integer
unit_price
number
currency
string
is_active
boolean
description
string
location
string
total_gpu
integer
total_cpu
integer
total_memory
string
available_gpu
integer
available_cpu
integer
available_memory
string
worker_nodes
Array<object>
object
has_local_storage
boolean
local_storage_per_node
integer
status
string
image_pull_policy
string
image_version
object
id
integer
version
string
description
string
tags
Array<string>
name
string
slug_name
string
framework
string
is_internal
boolean
ssh_keys
Array<object>
object
pk
integer
label
string
ssh_key
string
ssh_public_ip
string
has_floating_ip
boolean
reserve_ip
Array<object>
object
clone_data
object
name
string
sku_id
integer
project_id
integer
no_of_nodes
integer
ssh_key_ids
Array<integer>
script_added
boolean
pfs_mount_list
Array<object>
object
sfs_mount_list
Array<object>
object
id
integer
name
string
mount_path
string
image_version_id
integer
lifecycle_script
string
security_group_id
integer
sku_item_price_id
integer
dataset_mount_list
Array<object>
object
errors
object
message
string
Example
{ "code": 200, "data": { "id": 101, "name": "training-cluster-010125103045", "created_by": { "id": 1001, "name": "John Doe", "email": "user@example.com", "username": "user@example.com", "is_primary_contact": true, "currency": "INR", "is_suspended": false }, "no_of_nodes": 1, "created_at": "2025-01-15T10:30:00Z", "private_cloud_id": null, "private_cloud_name": null, "sku_details": { "specs": { "sku_id": 309, "name": "GDC.8xH10080-208.2000GB_SXM_v1", "series": "GPU", "cpu": 208, "gpu": 8, "memory": 2000, "ephemeral_storage": 0, "gpu_memory": 640, "is_free": false, "is_active": true, "local_storage_in_gb": 0, "sku_type": "GDC-8xH10080", "gpu_card_type": "H100", "category": "distributed_job", "variant": "e2e", "no_of_nodes": 1 }, "plan": { "sku_item_price_id": 3416, "sku_type": "hourly", "committed_days": 0, "unit_price": 1995.2, "currency": "INR", "is_active": true, "description": "Hourly Compute Instance: distributed_job", "location": "Delhi" } }, "total_gpu": 8, "total_cpu": 208, "total_memory": "2000 GB", "available_gpu": 0, "available_cpu": 0, "available_memory": "0 GB", "worker_nodes": [], "has_local_storage": false, "local_storage_per_node": null, "status": "Running", "image_pull_policy": "IfNotPresent", "image_version": { "id": 2, "version": "v2-slurm25.11-ubuntu24.04", "description": "", "tags": [], "name": "Ubuntu Slurm", "slug_name": "ubuntu-slurm", "framework": "Slurm", "is_internal": false }, "ssh_keys": [ { "pk": 1001, "label": "my-ssh-key", "ssh_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAAB... user@example.com" } ], "ssh_public_ip": "203.0.113.10", "has_floating_ip": true, "reserve_ip": [], "clone_data": { "name": "training-cluster-010125103045", "sku_id": 309, "project_id": 10001, "no_of_nodes": 1, "ssh_key_ids": [ 1001 ], "script_added": false, "pfs_mount_list": [], "sfs_mount_list": [], "image_version_id": 2, "lifecycle_script": "", "security_group_id": 1001, "sku_item_price_id": 3416, "dataset_mount_list": [] } }, "errors": {}, "message": "Success"}